Subject: Re: [Roll] draft-roux-roll-mpl-eval-00.txt

From: ROUX Pierre <[email-masked]>
Date: Mon, 13 Jan 2014 11:00:41 +0000

Dear Michael,

Sorry for being slow in answering. We did not catch your message when you sent it.
And thanks for this feedback.

>It would be interesting to have feedback from deployments about how accurate the random placement matches real life: 
>I think that real life won't be random at all!

Yes. 
Random placements inside open field area with no obstacle is not real life.
However it provides some "neutral" ground to compare different algorithms.

> Do you think that the additional work will occur prior to IETF90, and might be feedback into possible re-chartering of ROLL?

This ID was just collecting preliminary results indeed. 
Some additional results will be presented in a second version of this draft for IETF90. A presentation could also be proposed depending on the time schedule and need.
Unfortunately it will remain far from an exhaustive evaluation at this date.

>Is the software used in this simulation available for others to play with?

Currently it is just an internal java tool.
However we don't expect issues in making the jar executable available.
It may be a good way to obtain feedback, as the simulator provides graphical insight into algorithm behavior.
We have to clarify that internally, as it should be provided with some kind of license.

>I'm concerned that this is a particularly academic paper, and might not get the kind of peer review that I think it deserves as an ID (vs a submission to a journal).

Yes we understand your concern. This work may eventually be proposed to a journal as well. Still, feedback is very welcome in this group.

Regards,

  Pierre

-----Message d'origine-----
De : Roll [mailto:[email-masked]] De la part de Michael Richardson
Envoyé : mardi 24 décembre 2013 20:34
À : [email-masked]
Cc : 
Objet : [Roll] draft-roux-roll-mpl-eval-00.txt

http://datatracker.ietf.org/doc/draft-roux-roll-mpl-eval/
was recently posted, with the abstract:

Abstract

   This draft presents simulation work and first results related to MPL
   performance evaluation.  The simulation makes it possible to evaluate
   MPL performances in the context of a large network.  The simulated
   network introduces 500 nodes.  The general principles of the
   simulator are described.  Then reference settings are introduced, and
   evaluation indicators are proposed.  Finally preliminary results are
   presented under the form of a few tables, that show the proposed
   indicator values depending on some specific parameter which is used
   as a variable argument.  Among various results, the advantage of
   using reactive mode for MPL is shown in terms of the capability to
   maintain loss free diffusion in harsh radio conditions.

====

I've read the document, and I like the direction which it is going.
It would be interesting to have feedback from deployments about how accurate the random placement matches real life: I think that real life won't be random at all!

The ROLL charter hardly mentions MPL at all; so having an experience draft on it, is neither here nor there.

** May I ask what the authors intend for this document?

Do you think that the additional work will occur prior to IETF90, and might be feedback into possible re-chartering of ROLL?

I think that it is very useful for the technology to have a rigorous analysis of MPL like this, and very useful for standardization to have some clear advice on setting the parameters.

Is the software used in this simulation available for others to play with?

I'm concerned that this is a particularly academic paper, and might get the kind of peer review that I think it deserves as an ID (vs a submission to a journal).

--
Michael Richardson <[email-masked]>, Sandelman Software Works
IETF ROLL WG co-chair.    http://datatracker.ietf.org/wg/roll/charter/